var app = angular.module("app", [
    "ngAnimate",
    "ngSanitize",
    "ui.bootstrap",
    "ui.router",
    "directives"
]);

app.config(function(
    $stateProvider,
    $urlRouterProvider,
    $locationProvider
) {
    $urlRouterProvider.otherwise("/");

    $stateProvider
        .state("home", {
            url: "/",
            templateUrl: "components/home/home.html"
        });

    $locationProvider.html5Mode(true);
});

app.run(function($rootScope, $uibModalStack) {
    $rootScope.previousState = null;

    $rootScope.$on("$stateChangeStart", function() {
        $uibModalStack.dismissAll();
    });

    $rootScope.$on("$stateChangeSuccess", function(
        event,
        toState,
        toParams,
        from,
        fromParams
    ) {
        $rootScope.previousState = from;
    });
});
